Package com.io7m.cardant.model.comparisons

# Record Class CAComparisonSetType.IsSubsetOf<T>

java.lang.Object
java.lang.Record
com.io7m.cardant.model.comparisons.CAComparisonSetType.IsSubsetOf<T>

Type Parameters:
  `T` - The type of values
Record Components:
  `value` - The value

All Implemented Interfaces:
  `CAComparisonSetType<T>`, `CAComparisonType`

Enclosing interface:
  `CAComparisonSetType<T>`

public static record CAComparisonSetType.IsSubsetOf<T>(Set<T> value) extends Record implements CAComparisonSetType<T>
Match values that are subsets of the given set.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.comparisons.CAComparisonSetType

  `CAComparisonSetType.Anything<T>, CAComparisonSetType.IsEqualTo<T>, CAComparisonSetType.IsNotEqualTo<T>, CAComparisonSetType.IsOverlapping<T>, CAComparisonSetType.IsSubsetOf<T>, CAComparisonSetType.IsSupersetOf<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IsSubsetOf(Set<T> value)`
  Match values that are subsets of the given set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `<U> CAComparisonSetType.IsSubsetOf<U>`
  `map(Function<T,U> f)`
  Produce a new comparison over values transformed with `f`.
  `boolean`
  `matches(Set<T> other)`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Set<T>`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IsSubsetOf

    public IsSubsetOf(Set<T> value)
    Match values that are subsets of the given set.

- ## Method Details

  - ### map

    public <U> CAComparisonSetType.IsSubsetOf<U> map(Function<T,U> f)
    Description copied from interface: `CAComparisonSetType`
    Produce a new comparison over values transformed with `f`.
    Specified by:
      `map` in interface `CAComparisonSetType<T>`
    Type Parameters:
      `U` - The type of results
    Parameters:
      `f` - The transform
    Returns:
      A new comparison

  - ### matches

    public boolean matches(Set<T> other)
    Specified by:
      `matches` in interface `CAComparisonSetType<T>`
    Parameters:
      `other` - The set
    Returns:
      `true` if this comparison matches the given set

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public Set<T> value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component